curl --request GET \
--url https://api.sigmamind.ai/v1/conversational-agents/{agentId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/conversational-agents/{agentId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/conversational-agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "SPIlVscbB0kkXBvZ",
"agentName": "Auralis",
"startNodeName": "Welcome",
"startNodeId": "node_01HXYZ123",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": true,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-4o-mini",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": true,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": true,
"backgroundNoiseFilter": true,
"echoCancellation": true,
"enablePostConversationAnalysis": true,
"postConversationAnalysisLlmModel": "gpt-4o-mini",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": [
"Interested",
"Not Interested",
"Follow Up Later"
]
}
],
"webhooks": [
{
"webhookId": "wh_BUbkx3PsbzQm5V10",
"name": "My Webhook",
"url": "https://example.com/webhook",
"secret": "mK9vXq2pL8nR5tY1wA3sD6fH0jC4bE7u",
"events": [
"<string>"
]
}
]
},
"nodes": [
{
"nodeId": "node_wcCIoGrJbw9AlXVk",
"nodeName": "get_customer_detail",
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?"
}
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/conversational-agents",
"status": 400,
"timestamp": "2026-09-18T20:53:02.761Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/conversational-agents",
"status": 401,
"timestamp": "2026-09-18T20:53:02.761Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/conversational-agents",
"status": 403,
"timestamp": "2026-09-18T20:53:02.761Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/conversational-agents",
"status": 404,
"timestamp": "2026-09-18T20:53:02.761Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/conversational-agents",
"status": 500,
"timestamp": "2026-09-18T20:53:02.761Z"
}Get conversational Agent
Get a conversational agent, along with agent settings
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
Unique identifier of the agent to be retrieved.
Response
OK
The unique identifier of the agent within the system.
"SPIlVscbB0kkXBvZ"
Human-readable name of the agent used to identify it in the dashboard and APIs.
"Auralis"
The name of the node where the agent workflow starts.
"Welcome"
The unique identifier of the node where the agent workflow starts.
"node_01HXYZ123"
Configuration settings that define the agent’s runtime behavior, including voice, llm model and other operational settings.
Show child attributes
Show child attributes
Sends a response to the user before continuing to the next node in the workflow.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes